Metasploit Project è un progetto di sicurezza informatica che fornisce informazioni sulle vulnerabilità, semplifica le operazioni di penetration testing ed aiuta nello sviluppo di sistemi di rilevamento di intrusioni. Il sub-project più conosciuto è Metasploit Framework, uno strumento per lo sviluppo e l'esecuzione di exploit ai danni di una macchina remota. Altri sub-project importanti comprendono l'Opcode Database, l'archivio di shellcode e la ricerca nella sicurezza (Wikipedia) Ci sono diverse distribuzioni Linux che si occupano di testare la sicurezza di un sistema, tra cui la più famosa è sicuramente Backtrack. Ma Metasploit possiamo anche installarlo sulla nostra distro preferita, nel caso specifico Debian Squeeze.

 

Requisiti:

 

# apt-get install build-essential subversion ruby libruby irb rdoc libyaml-ruby libzlib-ruby libopenssl-ruby libdl-ruby libreadline-ruby libiconv-ruby rubygems sqlite3 libsqlite3-ruby libsqlite3-dev

 

Installazione:

 

$ svn co http://metasploit.com/svn/framework3/trunk/ metasploit

$ cd metasploit

$ svn up

 

avvio in modo console:

 

$ ./msfconsole

 

premere help per visionare ulteriori comandi. Per il momento mi fermo quà, in una prossima guida non escludo di proseguire con degli esempi di utilizzo.

 

enjoy ;)

Post simili (quasi):

Tag:, ,
6 Risposte a “Installazione di Metasploit su Debian Squeeze”
  1. AM3D scrive:
    Firefox 3.6.13 Windows Vista
    Mozilla/5.0 (Windows; U; Windows NT 6.0; it; rv:1.9.2.13) Gecko/20101203 Firefox/3.6.13 GTB7.1 ( .NET CLR 3.5.30729; .NET4.0C)

    Bella guida ^_^

    Like or Dislike: Thumb up 0 Thumb down 0

  2. edmond scrive:
    Debian IceWeasel 3.5.16 GNU/Linux 64 bits
    Mozilla/5.0 (X11; U; Linux x86_64; it; rv:1.9.1.16) Gecko/20101227 Iceweasel/3.5.16 (like Firefox/3.5.16) GTB7.1

    @AM3D

    allora ci sei ancora :)

    Like or Dislike: Thumb up 0 Thumb down 0

  3. Janvitus scrive:
    Epiphany 2.30.6 Ubuntu 64 bits
    Mozilla/5.0 (X11; U; Linux x86_64; it-it) AppleWebKit/533.4 (KHTML, like Gecko) Ubuntu/10.10 Epiphany/2.30.6

    Questo è interessante, non lo conoscevo.

    Like or Dislike: Thumb up 0 Thumb down 0

  4. yogieza scrive:
    Debian IceWeasel 4.0 GNU/Linux
    Mozilla/5.0 (X11; Linux i686; rv:2.0) Gecko/20110322 Firefox/4.0 Iceweasel/4.0

    i will try on my squeeze & thanks a lot for your info :D

    Like or Dislike: Thumb up 1 Thumb down 0

  5. Slash scrive:
    Google Chrome 6.0.472.63 GNU/Linux
    Mozilla/5.0 (X11; U; Linux i686; en-US) AppleWebKit/534.3 (KHTML, like Gecko) Chrome/6.0.472.63 Safari/534.3

    Ciao ho un problema dando il comando ecco cosa ottengo

    root@debian:/home/slash# svn co http://metasploit.com/svn/framework3/trunk/ metasploit
    svn: Il repository è stato temporaneamente spostato in ‘http://www.metasploit.com/svn/framework3/trunk’; aggiorna
    i riferimenti

    Like or Dislike: Thumb up 0 Thumb down 1

  6. Paride scrive:
    Debian IceWeasel 10.0.7 GNU/Linux
    Mozilla/5.0 (X11; Linux i686; rv:10.0.7) Gecko/20100101 Firefox/10.0.7 Iceweasel/10.0.7

    Ti dice lui stesso come risolverlo: http://www.metasploit.com/svn/framework3/trunk

    Like or Dislike: Thumb up 1 Thumb down 0

  7.  
Scrivi un Commento

XHTML: You can use these tags: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>